Webhooks

class matterapi.endpoints.async_api.WebhooksApi(client: matterapi.client.base.BaseClient, skip_response_parsing: bool = False)

Endpoints for creating, getting and updating webhooks.

async create_incoming_webhook(*, json_body: Union[matterapi.models.CreateIncomingWebhookJsonBody, Dict]) matterapi.models.IncomingWebhook

Create an incoming webhook

Create an incoming webhook for a channel.

manage_others_incoming_webhooks for the team the webhook is in if the user is different than the requester.

Permissions:

manage_webhooks for the team the webhook is in.

Api Reference:

CreateIncomingWebhook

async create_outgoing_webhook(*, json_body: Union[matterapi.models.CreateOutgoingWebhookJsonBody, Dict]) matterapi.models.OutgoingWebhook

Create an outgoing webhook

Create an outgoing webhook for a team.

manage_others_outgoing_webhooks for the team the webhook is in if the user is different than the requester.

Permissions:

manage_webhooks for the team the webhook is in.

Api Reference:

CreateOutgoingWebhook

async delete_incoming_webhook(hook_id: str) matterapi.models.StatusOK

Delete an incoming webhook

Delete an incoming webhook given the hook id.

Permissions:

manage_webhooks for system or manage_webhooks for the specific team or manage_webhooks for the channel.

Api Reference:

DeleteIncomingWebhook

async delete_outgoing_webhook(hook_id: str) matterapi.models.StatusOK

Delete an outgoing webhook

Delete an outgoing webhook given the hook id.

Permissions:

manage_webhooks for system or manage_webhooks for the specific team or manage_webhooks for the channel.

Api Reference:

DeleteOutgoingWebhook

async get_incoming_webhook(hook_id: str) matterapi.models.IncomingWebhook

Get an incoming webhook

Get an incoming webhook given the hook id.

Permissions:

manage_webhooks for system or manage_webhooks for the specific team or manage_webhooks for the channel.

Api Reference:

GetIncomingWebhook

async get_incoming_webhooks(*, page: Optional[int] = 0, per_page: Optional[int] = 60, team_id: Optional[str] = None) List[matterapi.models.IncomingWebhook]

List incoming webhooks

Get a page of a list of incoming webhooks. Optionally filter for a specific team using query parameters.

Permissions:

manage_webhooks for the system or manage_webhooks for the specific team.

Api Reference:

GetIncomingWebhooks

async get_outgoing_webhook(hook_id: str) matterapi.models.OutgoingWebhook

Get an outgoing webhook

Get an outgoing webhook given the hook id.

Permissions:

manage_webhooks for system or manage_webhooks for the specific team or manage_webhooks for the channel.

Api Reference:

GetOutgoingWebhook

async get_outgoing_webhooks(*, page: Optional[int] = 0, per_page: Optional[int] = 60, team_id: Optional[str] = None, channel_id: Optional[str] = None) List[matterapi.models.OutgoingWebhook]

List outgoing webhooks

Get a page of a list of outgoing webhooks. Optionally filter for a specific team or channel using query parameters.

Permissions:

manage_webhooks for the system or manage_webhooks for the specific team/channel.

Api Reference:

GetOutgoingWebhooks

async regen_outgoing_hook_token(hook_id: str) matterapi.models.StatusOK

Regenerate the token for the outgoing webhook.

Regenerate the token for the outgoing webhook.

Permissions:

manage_webhooks for system or manage_webhooks for the specific team or manage_webhooks for the channel.

Api Reference:

RegenOutgoingHookToken

async update_incoming_webhook(hook_id: str, *, json_body: Union[matterapi.models.UpdateIncomingWebhookJsonBody, Dict]) matterapi.models.IncomingWebhook

Update an incoming webhook

Update an incoming webhook given the hook id.

Permissions:

manage_webhooks for system or manage_webhooks for the specific team or manage_webhooks for the channel.

Api Reference:

UpdateIncomingWebhook

async update_outgoing_webhook(hook_id: str, *, json_body: Union[matterapi.models.UpdateOutgoingWebhookJsonBody, Dict]) matterapi.models.OutgoingWebhook

Update an outgoing webhook

Update an outgoing webhook given the hook id.

Permissions:

manage_webhooks for system or manage_webhooks for the specific team or manage_webhooks for the channel.

Api Reference:

UpdateOutgoingWebhook